#!/bin/bash
echo "$1"
if [ "$1" == "" ]; then
  mkdir -p "output/estimation/variance"
  mkdir -p "output/estimation/variance/samples"
  output_name="output/estimation/variance_mpi.log"
  job_name="variance_mpi"
  tag_name=""
else
  mkdir -p "output/estimation/${1}"
  mkdir -p "output/estimation/${1}/variance"
  mkdir -p "output/estimation/${1}/variance/samples"  
  output_name="output/estimation/${1}/variance_mpi.log"
  job_name="variance_mpi"
  tag_name="${1}"
fi

nparam=33
ntype1=3
ntype2=3
nmarket=9

#nparam=41
#ntype1=4
#ntype2=4
#nmarket=9

rm -f $output_name
qsub -o $output_name -pe ompi $((1+$nparam)) -N $job_name -v tag="$tag_name",tag2="$2",exec="./tools_variance_matrix.out" qsub_mpi.sh
