function count = tableMatchFull(data, data2, format, fname)

str = '';
datarowlabel = {'', '\quad High school and below', '\quad Some college', '\quad College and above'};
celldatarowlabel = cellstr(datarowlabel);
nrow = size(data, 1);
nl = 1;
mrow = 6;

if isempty(data2)
    mrow = mrow - 3;
end

for ixRow = 1:nrow

    if (ixRow == 2)
        str = [str, '\parbox[t]{1mm}{\multirow{', int2str(mrow), '}{*}{\rotatebox[origin=c]{90}{Men}}}\n'];
    end

    thisRow = sprintf([' & ',format], data(ixRow, :));
    thisRow2 = strrep(thisRow, 'NaN', '--');
    for ixL = 1:nl
        str = [str, '&', celldatarowlabel{ixL, ixRow}];
        if (ixL < nl)
            str = [str, ' & '];
        end
    end
    str = [str, thisRow2, '\\\n'];

    if (~isempty(data2))
        thisRow = sprintf([' & \\color{blue}(', format, ')'], data2(ixRow, :));
        thisRow2 = regexprep(thisRow, '\s+', '');
        thisRow2 = strrep(thisRow2, '(NaN)', '--');
        str = [str, '&', thisRow2, '\\\n'];
    end

end

strout = regexprep(str, '(\\n)', '\n');

fid = fopen(fname, 'w');
count = fprintf(fid, '%s', strout);
fclose(fid);

end
