function stat = tableRestrictedMmfGender(settings)

res = [1 9];
taxv = cell(length(res), 1);

for ixTheta = 1:1
    for ixRes = 1:length(res)

        close all

        % initialise the tax structure (number of breaks)
        tax = initTax(10, settings.factor);
        tax.taxins = res(ixRes);

        %set up taxes
        respath = [settings.fpath, 'primal', int2str(res(ixRes)), '_t', sprintf('%02d', settings.theta(ixTheta)), '/'];
        fname = [respath, '/xtax_sol.asc'];
        y = loadxtax2(fname, settings.ed);
        x = unitToLevel(tax, y, tax.ymin);
        tax = setTax(x, tax, settings.factor);
        taxv{ixRes} = tax;

        tableMarriageRestricted2(respath, settings.tablepath, ...
            ['mmf_primal_t', sprintf('%02d', settings.theta(ixTheta)), '_res', int2str(res(ixRes))], 0);

    end
end

end