function y = unitToLevel(tax, x, miny, factor)

y = zeros(size(x));
ixParam = 0;

for ixL0 = 1:tax.NTAXBR
    ixParam = ixParam + 1;
    y(ixParam) = miny + x(ixParam) * ( tax.TAXBR(ixL0) - miny );
end

switch(tax.taxins)
    case(tax.JOINT)
        for ixL1 = 1:tax.NTAXBR
            for ixL0 = ixL1:tax.NTAXBR
                ixParam = ixParam + 1;
                y(ixParam) = miny + x(ixParam) *( tax.TAXBR(ixL0) + tax.TAXBR(ixL1) - miny );
            end
        end
    case(tax.INDEPENDENT)
        % ...
    case(tax.INDEPENDENT3)
        % ...
    case(tax.FULLJOINT2)
        % ...
    case(tax.JOINTGBT)
        for ixL1 = 1:tax.NTAXBR
            for ixL0 = 1:tax.NTAXBR
                ixParam = ixParam + 1;
                y(ixParam) = miny + x(ixParam) * ( tax.TAXBR(ixL0) + tax.TAXBR(ixL1) - miny );
            end
        end
    case(tax.JOINTGBTALL)
        for ixL1 = 1:tax.NTAXBR
            ixParam = ixParam + 1;
            y(ixParam) = miny + x(ixParam) * ( tax.TAXBR(ixL1) - miny );
        end
        for ixL1 = 1:tax.NTAXBR
            for ixL0 = 1:tax.NTAXBR
                ixParam = ixParam + 1;
                y(ixParam) = miny + x(ixParam) * ( tax.TAXBR(ixL0) + tax.TAXBR(ixL1) - miny );
            end
        end
end

end
