#!/bin/bash
echo "$1"
if [ "$1" == "" ]; then
  output_name="output/estimation/output_market_mpec_mpi.log"
  job_name="mpec_market_mpi"
  tag_name=""
else
  mkdir -p "output/estimation/${1}"
  output_name="output/estimation/${1}/output_market_mpec_mpi.log"
  job_name="mpec_market_mpi_${1}"
  tag_name="${1}"
fi

# 3 types
nparam=33
ntype1=3
ntype2=3
nmarket=9

# 4 types
#nparam=41
#ntype1=4
#ntype2=4
#nmarket=9

rm -f $output_name
qsub -o $output_name -pe ompi $((1+$nparam+$ntype1*$ntype2*$nmarket)) -N $job_name -v tag="$tag_name",tag2="$2",exec="./est_mpec_market_mpi.out" qsub_mpi.sh
