
cd "~/git/familytax/stata/do"

/* construct IPUMS/ATUS moment files */

run mom_global.do
run mom_prices.do
do mom_ipums_3.do
do mom_atus_4.do

/* merge all moment files */
use "$save_data/mom_ipums_ed$numed`'_age$minage$maxage$statetag.dta", clear
merge 1:1 r using "$save_data/mom_atus_ed$numed`'_age$minage$maxage$statetag.dta"
assert _merge==3
drop _merge
save "$save_data/mom_all_ed$numed`'_age$minage$maxage$statetag.dta", replace

do mom_input_3.do
