
use "$price_data/prices.dta", clear
collapse cpi, by(year)

egen double cpi_target = min(cond(year == $priceyyyy, cpi, .))
gen double priceind = cpi_target / cpi

keep year priceind
sort year

format priceind %16.0g

save "$price_data/prices_index.dta", replace
export delimited year priceind using "$price_data/prices_index.csv", delimiter(",") replace novarnames
